#
# spec file for package perl-MooseX-StrictConstructor
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooseX-StrictConstructor
Version:        0.19
Release:        2.1
%define cpan_name MooseX-StrictConstructor
Summary:        Make your object constructors blow up on unknown attributes
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-StrictConstructor/
Source:         http://www.cpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moose) >= 0.94
BuildRequires:  perl(Moose::Exporter)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::MetaRole)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::Moose)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(namespace::autoclean)
#BuildRequires: perl(MooseX::StrictConstructor)
#BuildRequires: perl(MooseX::StrictConstructor::Trait::Class)
#BuildRequires: perl(MooseX::StrictConstructor::Trait::Method::Constructor)
#BuildRequires: perl(Standard)
#BuildRequires: perl(Stricter)
Requires:       perl(Moose) >= 0.94
Requires:       perl(Moose::Exporter)
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::MetaRole)
Requires:       perl(namespace::autoclean)
%{perl_requires}

%description
Simply loading this module makes your constructors "strict". If your
constructor is called with an attribute init argument that your class does
not declare, then it calls 'Moose->throw_error()'. This is a great way to
catch small typos.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Jul 27 2013 coolo@suse.com
- updated to 0.19
  - The 0.17 release broke compatibility with pre-2.0 versions of Moose.
  - A small internal tweak which prevents the MooseX::ClassCompositor tests from
  failing.
  - Added a small optimization for an immutable constructor when used with Moose
  2.00+. The list of valid attributes is only generated once, rather than each
  time the constructor is run. Reported by Chip Salzenberg. RT #73664.
* Sat Apr 30 2011 pascal.bleser@opensuse.org
- update to 0.16:
  * don't wrap BUILDALL, since this breaks if the object doesn't inherit from
    Moose::Object
* Fri Apr 22 2011 coolo@opensuse.org
- updated to 0.15
  - The fix in 0.14 only worked with Moose 2.0, causing failures with earlier
    versions.
  - Using extends caused strictness to be lost. Fixed by Karen Etheridge.
  - This release provides forward compatibility with Moose 1.99+. It will still
    work with Moose 1.23 as well. Most of the work was done by Jesse Luehrs.
  - Switched tests to use Test::Fatal instead of Test::Exception.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- initial package (0.10)
